# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.17)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget simdjson::simdjson-flags simdjson::simdjson-internal-flags simdjson::simdjson-headers simdjson::simdjson-include-source simdjson::simdjson-source simdjson::simdjson)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
# Use original install prefix when loaded through a
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${_IMPORT_PREFIX}" REALPATH)
get_filename_component(_realOrig "/usr/lib/riscv64-linux-gnu/cmake/simdjson" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(_IMPORT_PREFIX "/usr/lib/riscv64-linux-gnu/cmake/simdjson")
endif()
unset(_realOrig)
unset(_realCurr)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target simdjson::simdjson-flags
add_library(simdjson::simdjson-flags INTERFACE IMPORTED)

set_target_properties(simdjson::simdjson-flags PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "SIMDJSON_THREADS_ENABLED=1"
  INTERFACE_COMPILE_OPTIONS "-pthread"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;-pthread"
)

# Create imported target simdjson::simdjson-internal-flags
add_library(simdjson::simdjson-internal-flags INTERFACE IMPORTED)

set_target_properties(simdjson::simdjson-internal-flags PROPERTIES
  INTERFACE_COMPILE_OPTIONS "-fPIC;-Werror;-Wall;-Wextra;-Weffc++;-Wsign-compare;-Wshadow;-Wwrite-strings;-Wpointer-arith;-Winit-self;-Wconversion;-Wno-sign-conversion"
  INTERFACE_LINK_LIBRARIES "simdjson::simdjson-flags"
)

# Create imported target simdjson::simdjson-headers
add_library(simdjson::simdjson-headers INTERFACE IMPORTED)

set_target_properties(simdjson::simdjson-headers PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_11"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target simdjson::simdjson-include-source
add_library(simdjson::simdjson-include-source INTERFACE IMPORTED)

set_target_properties(simdjson::simdjson-include-source PROPERTIES
  INTERFACE_LINK_LIBRARIES "simdjson::simdjson-headers"
)

# Create imported target simdjson::simdjson-source
add_library(simdjson::simdjson-source INTERFACE IMPORTED)

set_target_properties(simdjson::simdjson-source PROPERTIES
  INTERFACE_LINK_LIBRARIES "simdjson::simdjson-include-source"
  INTERFACE_SOURCES "/simdjson.cpp"
)

# Create imported target simdjson::simdjson
add_library(simdjson::simdjson SHARED IMPORTED)

set_target_properties(simdjson::simdjson PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "SIMDJSON_USING_LIBRARY=1"
  INTERFACE_LINK_LIBRARIES "simdjson::simdjson-headers;simdjson::simdjson-flags"
)

if(CMAKE_VERSION VERSION_LESS 3.1.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.1.0 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/simdjson-config-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
